Public MustInherit Class RequestBase

    ''' <summary>
    ''' İstek türüne göre belirli alanlar kullanılarak hesaplanıp iletilmesi beklenen değerdir. Eksik veya hatalı iletilirse işlem bankaya yönlendirilmez, hata verilir.
    ''' </summary>
    ''' <returns></returns>
    Public Property SecurityHash As String

    Public Overridable Function Validate() As ValidationResult
        Return ValidationResult.Success
    End Function
End Class

